Object instances

Info for a specific object instance

get
Path parameters
projectIdstringRequired

The id of the project the object instance is in

instanceIdstringRequired

The id of the object instance to retrieve

Responses
chevron-right
200

Expected response to a valid request

application/json
idstringRequired
namestringRequired
descriptionstringOptional
urlstringRequired
enabledbooleanRequired
sourceone ofRequired
or
createdAtstringRequired
createdByone ofRequired
or
get
/v1/mml-objects/{projectId}/object-instances/{instanceId}

Edit an object instance

post
Path parameters
projectIdstringRequired

The id of the project the object instance is in

instanceIdstringRequired

The id of the object instance to edit

Body
namestringOptional
descriptionstringOptional
enabledbooleanOptional
sourceone ofOptional
or
Responses
chevron-right
200

Expected response to a valid request

application/json
idstringRequired
namestringRequired
descriptionstringOptional
urlstringRequired
enabledbooleanRequired
sourceone ofRequired
or
createdAtstringRequired
createdByone ofRequired
or
post
/v1/mml-objects/{projectId}/object-instances/{instanceId}

Was this helpful?